c-----------------------------------------------------------------------
c     sample3d.f : sample program of ELview-3d
c
c     usage :
c     > ifort sample3d.f ev_f.lib
c     > sample3d
c     > ev3
c-----------------------------------------------------------------------
      program sample3d
c
      real    p(3,4)
      integer c(4), rgb(3)
c
c     --- start
      call ev3Page
c
c     --- flat shading
      p(1,1) = 0.0
      p(2,1) = 0.0
      p(3,1) = 0.0
      p(1,2) = 1.0
      p(2,2) = 0.0
      p(3,2) = 0.0
      p(1,3) = 1.0
      p(2,3) = 1.0
      p(3,3) = 0.0
      p(1,4) = 0.0
      p(2,4) = 1.0
      p(3,4) = 0.0
      call ev3Polygon1(4, p, 1)
c
c     --- smooth shading (vertex shading)
      p(1,1) = 0.0
      p(2,1) = 0.0
      p(3,1) = 0.0
      c(1) = 1
      p(1,2) = 0.0
      p(2,2) = 1.0
      p(3,2) = 0.0
      c(2) = 20
      p(1,3) = 0.0
      p(2,3) = 1.0
      p(3,3) = 1.0
      c(3) = 10
      p(1,4) = 0.0
      p(2,4) = 0.0
      p(3,4) = 1.0
      c(4) = 15
      call ev3Vertex1(4, p, c)
c
c     --- segment
      call ev3Index(1)
      call ev3Line1(1.0, 0.0, 0.0, 0.0, 0.0, 1.0, 12)
      rgb(1) = 255
      rgb(2) =   0
      rgb(3) =   0
      call ev3Line2(1.0, 1.0, 0.0, 0.0, 1.0, 1.0, rgb)
c
      stop
      end
